Install current master 2.8

More
31 Aug 2016 11:22 - 31 Aug 2016 12:24 #79772 by terkaa
Hi,

I would like to install current master(2.8) from github. Could someone tell me procedure for this. I am starting with PC that has empty HD. Is first step installing 2.7.6? Then pull 2.8 from Github?


Tero
Last edit: 31 Aug 2016 12:24 by terkaa.

Please Log in or Create an account to join the conversation.

More
31 Aug 2016 11:48 #79775 by tommylight
Get the wheezy iso, install, open synaptics, disable the 2.7 version, enable master, update, install 2.8.
The following user(s) said Thank You: rodw, terkaa, dmcmd, wolfgangwayland7

Please Log in or Create an account to join the conversation.

More
31 Aug 2016 12:21 #79778 by terkaa
Replied by terkaa on topic Install current master 2.8
Sounds easy. Thank you.

Tero

Please Log in or Create an account to join the conversation.

More
31 Aug 2016 12:32 #79780 by tommylight
It is, done it several times !!!
You are welcomed.

Please Log in or Create an account to join the conversation.

More
31 Aug 2016 13:15 #79783 by Todd Zuercher
Switching back to 2.7 is almost as simple. If you didn't delete the old 2.7 repository re-enable it and disable the master one then in Synaptic find Linuxcnc, select it, pull down the package menu, and select "Force Version". From the pull down list in the window that pops up, choose the Linuxcnc version you want to install and apply.
The following user(s) said Thank You: wolfgangwayland7

Please Log in or Create an account to join the conversation.

More
01 Sep 2016 10:38 #79822 by rodw
Replied by rodw on topic Install current master 2.8
Very helpful, and it worked! From what I can gather given I'm building a Gantry Plasma machine, configuring a gantry machine is better in master 2.8. Am I on the right track?

Please Log in or Create an account to join the conversation.

More
01 Sep 2016 12:31 #79826 by Todd Zuercher
I believe so. If I were running a gantry machine I certainly would be. But, I might not enable automatic updates for Linuxcnc, as occasionally the Master branch gets broken as it is still under development. I would still update it regularly, but only when I could carefully observe machine behavior for a time. (in other words not under production with employee drones running the machine.)
The following user(s) said Thank You: rodw

Please Log in or Create an account to join the conversation.

More
01 Sep 2016 13:14 #79829 by tommylight

Todd Zuercher wrote: (in other words not under production with employee drones running the machine.)


:laugh: :laugh: :laugh:

I have that problem a lot, so i do not have any employees, to damn unreliable and completely void of any logical thinking ( also ignorant as hell here where i live).
Still i get that a lot with customers, as they are capable of messing up even the most simple of tasks, but i have to deal with that! I gues it is called LIFE!

Please Log in or Create an account to join the conversation.

More
07 Sep 2016 00:24 #80100 by islander261
Hello

I am working on a gantry machine and want to install current master 2.8. I have successfully updated my install to 2.7.6.26 today without any problems. I am running the LMDE-2 package for the OS and desktop. Please see the kernel version I am running below:
jd@plasma1 ~ $ uname -a
Linux plasma1 4.1.15-rt17mah #1 SMP PREEMPT RT Fri Feb 26 23:43:49 PST 2016 x86_64 GNU/Linux

I need some step by step instructions for how to install this package. I tried the previous mentioned instructions but don't know how to get the link into Synaptic, only the links to 2.7 are there. I have tried searching the linuxcnc.org site and must not be using the correct terms to find the needed instructions.

thank you

John

Please Log in or Create an account to join the conversation.

More
07 Sep 2016 01:04 #80103 by tommylight
That is a non standard kernel you have, but you can try these steps:
open buildbot.linuxcnc.org/
scroll down to where the "Wheezy (uspace: realtime with RT-Preempt, and simulation)" is and copy and paste the 2 lines ending with "master" from there to :
Open synaptics package manager>settings>repositories
go to "additional repositories" and disable any line pertaining to linuxcnc, then add the 2 lines from buildbot.
Close, update, try to install !
Normally that is all, it should install and work properly, but in you case you might need to try the Jessie version, if Wheezy does not work.

Please Log in or Create an account to join the conversation.

Time to create page: 0.114 seconds
Powered by Kunena Forum